/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.cpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/16 10:53:23 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/19 20:55:37 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "MutantStack.hpp"

int main(void) {
	MutantStack<int> stack;

	stack.push(5);
	stack.push(17);
	stack.pop();
	std::cout << "size = " << stack.size() << std::endl;
	stack.push(3);
	stack.push(5);
	stack.push(737);
	//[...]
	for (MutantStack<int>::iterator it = stack.begin(); it != stack.end(); it++) {
		std::cout << *it << std::endl;
	}

	return 0;
}
